## org.eclipse.datatools.sqltools.sqleditor
Class SQLStorageDocumentProvider

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractDocumentProvider
          org.eclipse.ui.editors.text.StorageDocumentProvider
              org.eclipse.datatools.sqltools.sqleditor.SQLStorageDocumentProvider

All Implemented Interfaces:
  org.eclipse.ui.editors.text.IStorageDocumentProvider, org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.texteditor.IDocumentProviderExtension3, org.eclipse.ui.texteditor.IDocumentProviderExtension4, org.eclipse.ui.texteditor.IDocumentProviderExtension5

Direct Known Subclasses:
  SQLRoutineDocumentProvider

    public class SQLStorageDocumentProvider

extends org.eclipse.ui.editors.text.StorageDocumentProvider

Author:
  Hui Cao

Constructor Summary
`SQLStorageDocumentProvider()`

Method Summary
`boolean` `isModifiable(java.lang.Object element)`

Methods inherited from class org.eclipse.ui.editors.text.StorageDocumentProvider
`getContentType, getDefaultEncoding, getEncoding, isNotSynchronizedException, isReadOnly, setEncoding`

Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider

`aboutToChange, addElementStateListener, canSaveDocument, changed, connect, disconnect, getAnnotationModel, getDocument, getModificationStamp, getProgressMonitor, getStatus, getSynchronizationStamp, isDeleted, isStateValidated, isSynchronized, mustSaveDocument, removeElementStateListener, resetDocument, saveDocument, setCanSaveDocument, setProgressMonitor, synchronize, updateStateCache, validateState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLStorageDocumentProvider

    public SQLStorageDocumentProvider()

Method Detail

### isModifiable

    public boolean isModifiable(java.lang.Object element)

  Specified by:
    `isModifiable` in interface `org.eclipse.ui.texteditor.IDocumentProviderExtension`
  Overrides:
    `isModifiable` in class `org.eclipse.ui.editors.text.StorageDocumentProvider`